%define upstream_name    Crypt-Random-Seed
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Simple method to get strong randomness
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Crypt::Random::TESHA2)
BuildRequires: perl(Exporter)
BuildRequires: perl(Fcntl)
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildArch: noarch

%description
A simple mechanism to get strong randomness. The main purpose of this
module is to provide a simple way to generate a seed for a PRNG such as the
Math::Random::ISAAC manpage, for use in cryptographic key generation, or as
the seed for an upstream module such as the Bytes::Random::Secure manpage.
Flags for requiring non-blocking sources are allowed, as well as a very
simple method for plugging in a source.

The randomness sources used are, in order:

* User supplied.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc META.json TODO LICENSE README META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.30.0-7pclos2017
- rebuild against updates

